Defect #19192

"rake" command is showing error, `x64_mingw` is not a valid platform.

Added by Taejin Park over 2 years ago. Updated over 2 years ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:-
Target version:-
Resolution:Duplicate Affected version:3.0.0

Description

ruby ver : ruby 2.2.0p0 (2014-12-25 revision 49005) [x86_64-linux-gnu]

I setting redmine 3.0.

But, I commanded "rake generate_secret_token"

Showing this error.

`x64_mingw` is not a valid platform. The available options are: [:ruby, :ruby_18, :ruby_19, :ruby_20, :mri, :mri_18, :mri_19, :mri_20, :rbx, :jruby, :mswin, :mingw, :mingw_18, :mingw_19, :mingw_20]

Help me!!!!!


Related issues

Duplicates Redmine - Defect #19172: "gem update bundler" suggestion for "`x64_mingw` is not a... Closed

History

#1 Updated by Taejin Park over 2 years ago

My bundler version is

Bundler version 1.8.3

#2 Updated by Pavel Potcheptsov over 2 years ago

bundle update

#3 Updated by Go MAEDA over 2 years ago

  • Related to Defect #19172: "gem update bundler" suggestion for "`x64_mingw` is not a valid platform" added

#4 Updated by Go MAEDA over 2 years ago

  • Related to deleted (Defect #19172: "gem update bundler" suggestion for "`x64_mingw` is not a valid platform")

#5 Updated by Go MAEDA over 2 years ago

  • Duplicates Defect #19172: "gem update bundler" suggestion for "`x64_mingw` is not a valid platform" added

#6 Updated by Go MAEDA over 2 years ago

  • Status changed from New to Closed
  • Resolution set to Duplicate

Same problem with #19172. I close this issue.

Also available in: Atom PDF